## imcode.server
Class Config

    java.lang.Object
      imcode.server.Config

    public class Config

extends java.lang.Object

Constructor Summary
`Config()`

Method Summary
`java.lang.String` `getDefaultLanguage()`
`int` `getDocumentCacheMaxSize()`
`java.lang.String` `getDocumentPathPrefix()`
`java.lang.String` `getFileAdminRootPaths()`
`java.io.File` `getFilePath()`
`java.io.File` `getImagePath()`
`java.lang.String` `getImageUrl()`
`java.io.File` `getIncludePath()`
`float` `getIndexingSchedulePeriodInMinutes()`
`java.lang.String` `getKeyStorePath()`
`java.lang.String` `getKeyStoreType()`
`boolean` `getSecureLoginRequired()`
`java.lang.String` `getSessionCookieDomain()`
`int` `getSmtpPort()`
`java.lang.String` `getSmtpServer()`
`java.io.File` `getTemplatePath()`
`java.lang.String` `getWorkaroundUriEncoding()`
`boolean` `isDenyMultipleUserLogin()`
`void` `setDefaultLanguage(java.lang.String defaultLanguage)`
`void` `setDenyMultipleUserLogin(boolean denyMultipleUserLogin)`
`void` `setDocumentCacheMaxSize(int documentCacheMaxSize)`
`void` `setDocumentPathPrefix(java.lang.String documentPathPrefix)`
`void` `setFileAdminRootPaths(java.lang.String fileAdminRootPaths)`
`void` `setFilePath(java.io.File filePath)`
`void` `setImagePath(java.io.File imagePath)`
`void` `setImageUrl(java.lang.String imageUrl)`
`void` `setIncludePath(java.io.File includePath)`
`void` `setIndexingSchedulePeriodInMinutes(float indexingSchedulePeriodInMinutes)`
`void` `setKeyStorePath(java.lang.String keyStorePath)`
`void` `setKeyStoreType(java.lang.String keyStoreType)`
`void` `setSecureLoginRequired(boolean secureLoginRequired)`
`void` `setSessionCookieDomain(java.lang.String sessionCookieDomain)`
`void` `setSmtpPort(int smtpPort)`
`void` `setSmtpServer(java.lang.String smtpServer)`
`void` `setTemplatePath(java.io.File templatePath)`
`void` `setWorkaroundUriEncoding(java.lang.String workaroundUriEncoding)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Config

    public Config()

Method Detail

### getWorkaroundUriEncoding

    public java.lang.String getWorkaroundUriEncoding()

### setWorkaroundUriEncoding

    public void setWorkaroundUriEncoding(java.lang.String workaroundUriEncoding)

### setTemplatePath

    public void setTemplatePath(java.io.File templatePath)

### setIncludePath

    public void setIncludePath(java.io.File includePath)

### setFilePath

    public void setFilePath(java.io.File filePath)

### setImageUrl

    public void setImageUrl(java.lang.String imageUrl)

### setSmtpServer

    public void setSmtpServer(java.lang.String smtpServer)

### setSmtpPort

    public void setSmtpPort(int smtpPort)

### setDefaultLanguage

    public void setDefaultLanguage(java.lang.String defaultLanguage)

### getFilePath

    public java.io.File getFilePath()

### getSmtpServer

    public java.lang.String getSmtpServer()

### getSmtpPort

    public int getSmtpPort()

### getTemplatePath

    public java.io.File getTemplatePath()

### getImageUrl

    public java.lang.String getImageUrl()

### getDefaultLanguage

    public java.lang.String getDefaultLanguage()

### getIncludePath

    public java.io.File getIncludePath()

### getSessionCookieDomain

    public java.lang.String getSessionCookieDomain()

### setSessionCookieDomain

    public void setSessionCookieDomain(java.lang.String sessionCookieDomain)

### getImagePath

    public java.io.File getImagePath()

### setImagePath

    public void setImagePath(java.io.File imagePath)

### getFileAdminRootPaths

    public java.lang.String getFileAdminRootPaths()

### setFileAdminRootPaths

    public void setFileAdminRootPaths(java.lang.String fileAdminRootPaths)

### getIndexingSchedulePeriodInMinutes

    public float getIndexingSchedulePeriodInMinutes()

### setIndexingSchedulePeriodInMinutes

    public void setIndexingSchedulePeriodInMinutes(float indexingSchedulePeriodInMinutes)

### getDocumentPathPrefix

    public java.lang.String getDocumentPathPrefix()

### setDocumentPathPrefix

    public void setDocumentPathPrefix(java.lang.String documentPathPrefix)

### getDocumentCacheMaxSize

    public int getDocumentCacheMaxSize()

### setDocumentCacheMaxSize

    public void setDocumentCacheMaxSize(int documentCacheMaxSize)

### getKeyStorePath

    public java.lang.String getKeyStorePath()

### setKeyStorePath

    public void setKeyStorePath(java.lang.String keyStorePath)

### getKeyStoreType

    public java.lang.String getKeyStoreType()

### setKeyStoreType

    public void setKeyStoreType(java.lang.String keyStoreType)

### getSecureLoginRequired

    public boolean getSecureLoginRequired()

### setSecureLoginRequired

    public void setSecureLoginRequired(boolean secureLoginRequired)

### isDenyMultipleUserLogin

    public boolean isDenyMultipleUserLogin()

### setDenyMultipleUserLogin

    public void setDenyMultipleUserLogin(boolean denyMultipleUserLogin)